Skip to main content
GET
/
certifications
/
{uuid}
/
resources
List curriculum resources for a certification
curl --request GET \
  --url https://api.journeybee.io/v1/certifications/{uuid}/resources \
  --header 'Authorization: Bearer <token>'
[
  {
    "uuid": "<string>",
    "resource_uuid": "<string>",
    "resource_label": "<string>",
    "series": 123,
    "is_required": true,
    "prerequisite_resource_uuid": "<string>",
    "created_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Default Response

uuid
string
required

Curriculum entry UUID

resource_uuid
string
required

UUID of the linked resource

resource_label
string | null
required

Resource title

series
number
required

Order in curriculum (1-indexed)

is_required
boolean
required

Whether completion is required to pass

prerequisite_resource_uuid
string | null
required

UUID of prerequisite curriculum entry, or null

created_at
string
required